<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetDerivedBOMs Method (IEdmFile7)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFile7 Interface : GetDerivedBOMs Method (IEdmFile7)

Visual Basic
C#
C++/CLI

ppoBoms
  Array of EdmBomInfos

Gets the derived Bills of Materials for this file.

# Syntax

Visual Basic |
--- | ---

    Sub GetDerivedBOMs( _
       ByRef ppoBoms() As EdmBomInfo _
    )

C# |
--- | ---

    void GetDerivedBOMs(
       out EdmBomInfo[] ppoBoms
    )

C++/CLI |
--- | ---

    void GetDerivedBOMs(
    &   [Out] array<EdmBomInfo>^ ppoBoms
    )

#### Parameters

ppoBoms
  Array of EdmBomInfos

# Example

See the IEdmFile7 examples.

# Remarks

A derived Bill of Materials is also known as a named or saved Bill of Materials.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: An argument is invalid.

# See Also

####

IEdmFile7 Interface
IEdmFile7 Members

# Availability

SOLIDWORKS PDM Professional 2009